--[[
PlayerHandFix

Author:	 Ifko[nator]
Date:	 01.06.2018
Version: 1.0 

History: V1.0 @ 01.06.2018 - initial release in FS 17
]]

PlayerHandFix = {};

function PlayerHandFix.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function PlayerHandFix:update(dt)
	if self.isClient and self.vehicleCharacter ~= nil then
		self.vehicleCharacter:setDirty();
	end;
end;

--## unused but needed functions

function PlayerHandFix:load(savegame)end;
function PlayerHandFix:updateTick(dt)end;
function PlayerHandFix:mouseEvent(posX, posY, isDown, isUp, button)end;
function PlayerHandFix:keyEvent(unicode, sym, modifier, isDown)end;
function PlayerHandFix:draw()end;
function PlayerHandFix:delete()end;